org.apache.myfaces.trinidad.component.core.output

## Class CoreMedia

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXObject
        - - org.apache.myfaces.trinidad.component.core.output.CoreMedia

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class CoreMedia
      extends UIXObject
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The media component displays media content, such as audio, video, or image in a player embedded in the user agent. The media control displays the media specified by the "source" attribute in the appropriate media player. If a particular media player is desired, it can be specified using the "player" attribute. The media control attempts to intelligently handle two tricky aspects of cross-platform media display--determining the best player to display the media, and sizing the media player. The media control attempts to pick the appropriate media player using the following steps: If the primary MIME type of the content is "image", the built in user-agent support will be used. If a media player has been specified by the "player" attribute and that player is available on the user agent and can display the media resource, that player will be used. If one player is especially good at playing the media resource and that player is available on the user agent, that player will be used. If one player is especially dominant on the user agent and that player can play the media resource, that player will be used. the "link" player will be used. The media component supports two approaches to sizing the media control setting the "width" and "height" attributes, which specify the amount of space reserved on the user agent for the media control, and setting the "innerWidth" and "innerHeight" attributes, which specify the size of the media resource content. Since it is almost impossible to determine the correct width and height to use across different players and different player control configurations, specifying the "innerWidth" and "innerHeight" is the recommended strategy. If the size of the media control isn't specified by one of the above approaches, a default inner size, determined by the content type of the media resource, will be used. This works well for audio content, but can cause content to be clipped or occupy too much space for video content.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyKey` | `AUTOSTART_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `CONTENT_TYPE_KEY`
    `static String` | `CONTROLS_ALL`
    `static PropertyKey` | `CONTROLS_KEY`
    `static String` | `CONTROLS_MINIMAL`
    `static String` | `CONTROLS_NONE`
    `static String` | `CONTROLS_NONE_VISIBLE`
    `static String` | `CONTROLS_TYPICAL`
    `static PropertyKey` | `HEIGHT_KEY`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `INNER_HEIGHT_KEY`
    `static PropertyKey` | `INNER_WIDTH_KEY`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `PLAY_COUNT_KEY`
    `static PropertyKey` | `PLAYER_KEY`
    `static String` | `PLAYER_LINK`
    `static String` | `PLAYER_QUICKTIME`
    `static String` | `PLAYER_REAL`
    `static String` | `PLAYER_WINDOWS`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `SOURCE_KEY`
    `static PropertyKey` | `STANDBY_TEXT_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static FacesBean.Type` | `TYPE`
    `static PropertyKey` | `WIDTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CoreMedia()` Construct an instance of the CoreMedia.
    `protected` | `CoreMedia(String rendererType)` Construct an instance of the CoreMedia.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `protected FacesBean.Type` | `getBeanType()`
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `String` | `getContentType()` Gets the MIME type of the media content returned by the "source" URI.
    `String` | `getControls()` Gets the set of controls made available to the user for controlling the media playback.
    `String` | `getDefaultEventName()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getHeight()` Gets height in pixels to reserve for the media player plus its content.
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `int` | `getInnerHeight()` Gets height in pixels to reserve for the media player content.
    `int` | `getInnerWidth()` Gets width in pixels to reserve for the media player content.
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `int` | `getPlayCount()` Gets the number of times the media resource will play.
    `String` | `getPlayer()` Gets which media player to use to play the media resource.
    `String` | `getShortDesc()` Gets The short description of the component.
    `String` | `getSource()` Gets the URI specifying the location of the media resource.
    `String` | `getStandbyText()` Gets Message to display in the media player while the media resource is loading.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `String` | `getWidth()` Gets width in pixels to reserve for the media player plus its content.
    `boolean` | `isAutostart()` Gets a boolean value that controls whether the media resource loads and plays automatically without user initiation.
    `void` | `setAutostart(boolean autostart)` Sets a boolean value that controls whether the media resource loads and plays automatically without user initiation.
    `void` | `setContentType(String contentType)` Sets the MIME type of the media content returned by the "source" URI.
    `void` | `setControls(String controls)` Sets the set of controls made available to the user for controlling the media playback.
    `void` | `setHeight(int height)` Sets height in pixels to reserve for the media player plus its content.
    `void` | `setHeight(String height)` Sets height in pixels to reserve for the media player plus its content.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setInnerHeight(int innerHeight)` Sets height in pixels to reserve for the media player content.
    `void` | `setInnerWidth(int innerWidth)` Sets width in pixels to reserve for the media player content.
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setPlayCount(int playCount)` Sets the number of times the media resource will play.
    `void` | `setPlayer(String player)` Sets which media player to use to play the media resource.
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the component.
    `void` | `setSource(String source)` Sets the URI specifying the location of the media resource.
    `void` | `setStandbyText(String standbyText)` Sets Message to display in the media player while the media resource is loading.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setWidth(int width)` Sets width in pixels to reserve for the media player plus its content.
    `void` | `setWidth(String width)` Sets width in pixels to reserve for the media player plus its content.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PLAYER_WINDOWS

          public static final String PLAYER_WINDOWS

      See Also:
        Constant Field Values

    - #### PLAYER_QUICKTIME

          public static final String PLAYER_QUICKTIME

      See Also:
        Constant Field Values

    - #### PLAYER_LINK

          public static final String PLAYER_LINK

      See Also:
        Constant Field Values

    - #### PLAYER_REAL

          public static final String PLAYER_REAL

      See Also:
        Constant Field Values

    - #### CONTROLS_NONE_VISIBLE

          public static final String CONTROLS_NONE_VISIBLE

      See Also:
        Constant Field Values

    - #### CONTROLS_NONE

          public static final String CONTROLS_NONE

      See Also:
        Constant Field Values

    - #### CONTROLS_TYPICAL

          public static final String CONTROLS_TYPICAL

      See Also:
        Constant Field Values

    - #### CONTROLS_ALL

          public static final String CONTROLS_ALL

      See Also:
        Constant Field Values

    - #### CONTROLS_MINIMAL

          public static final String CONTROLS_MINIMAL

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### WIDTH_KEY

          public static final PropertyKey WIDTH_KEY

    - #### HEIGHT_KEY

          public static final PropertyKey HEIGHT_KEY

    - #### INNER_WIDTH_KEY

          public static final PropertyKey INNER_WIDTH_KEY

    - #### INNER_HEIGHT_KEY

          public static final PropertyKey INNER_HEIGHT_KEY

    - #### SOURCE_KEY

          public static final PropertyKey SOURCE_KEY

    - #### AUTOSTART_KEY

          public static final PropertyKey AUTOSTART_KEY

    - #### PLAY_COUNT_KEY

          public static final PropertyKey PLAY_COUNT_KEY

    - #### CONTENT_TYPE_KEY

          public static final PropertyKey CONTENT_TYPE_KEY

    - #### STANDBY_TEXT_KEY

          public static final PropertyKey STANDBY_TEXT_KEY

    - #### PLAYER_KEY

          public static final PropertyKey PLAYER_KEY

    - #### CONTROLS_KEY

          public static final PropertyKey CONTROLS_KEY

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreMedia

          public CoreMedia()

      Construct an instance of the CoreMedia.

    - #### CoreMedia

          protected CoreMedia(String rendererType)

      Construct an instance of the CoreMedia.

  - ### Method Detail

    - #### getWidth

          public final String getWidth()

      Gets
      width in pixels to reserve for the media player plus its content. As the extra width needed for the media player controls can vary from media player to media player and depend on the controls displayed in the media player, it is recommended that the "innerWidth" attribute be used in preference to this attribute.

      If both the "width" and "innerWidth" attributes are specified, the "width" attribute will be used.

      If no width is specified, the width of the media control is determined by calculating the "innerWidth" and adding any extra width necessary to display the media player controls.

      Returns:
        the new width value

    - #### setWidth

          public final void setWidth(String width)

      Sets
      width in pixels to reserve for the media player plus its content. As the extra width needed for the media player controls can vary from media player to media player and depend on the controls displayed in the media player, it is recommended that the "innerWidth" attribute be used in preference to this attribute.

      If both the "width" and "innerWidth" attributes are specified, the "width" attribute will be used.

      If no width is specified, the width of the media control is determined by calculating the "innerWidth" and adding any extra width necessary to display the media player controls.

      Parameters:
        `width` - the new width value

    - #### setWidth

          public final void setWidth(int width)

      Sets
      width in pixels to reserve for the media player plus its content. As the extra width needed for the media player controls can vary from media player to media player and depend on the controls displayed in the media player, it is recommended that the "innerWidth" attribute be used in preference to this attribute.

      If both the "width" and "innerWidth" attributes are specified, the "width" attribute will be used.

      If no width is specified, the width of the media control is determined by calculating the "innerWidth" and adding any extra width necessary to display the media player controls.

      Parameters:
        `width` - the new width value

    - #### getHeight

          public final String getHeight()

      Gets
      height in pixels to reserve for the media player plus its content. As the extra height needed for the media player controls can vary from media player to media player and depend on the controls displayed in the media player, it is recommended that the "innerHeight" attribute be used in preference to this attribute.

      If both the "height" and "innerHeight" attributes are specified, the "height" attribute will be used.

      If no height is specified, the height of the media control is determined by calculating the "innerHeight" and adding any extra height necessary to display the media player controls.

      Returns:
        the new height value

    - #### setHeight

          public final void setHeight(String height)

      Sets
      height in pixels to reserve for the media player plus its content. As the extra height needed for the media player controls can vary from media player to media player and depend on the controls displayed in the media player, it is recommended that the "innerHeight" attribute be used in preference to this attribute.

      If both the "height" and "innerHeight" attributes are specified, the "height" attribute will be used.

      If no height is specified, the height of the media control is determined by calculating the "innerHeight" and adding any extra height necessary to display the media player controls.

      Parameters:
        `height` - the new height value

    - #### setHeight

          public final void setHeight(int height)

      Sets
      height in pixels to reserve for the media player plus its content. As the extra height needed for the media player controls can vary from media player to media player and depend on the controls displayed in the media player, it is recommended that the "innerHeight" attribute be used in preference to this attribute.

      If both the "height" and "innerHeight" attributes are specified, the "height" attribute will be used.

      If no height is specified, the height of the media control is determined by calculating the "innerHeight" and adding any extra height necessary to display the media player controls.

      Parameters:
        `height` - the new height value

    - #### getInnerWidth

          public final int getInnerWidth()

      Gets
      width in pixels to reserve for the media player content. This will typically be set to the pixel width of the media resource to display.

      If no "innerWidth" is specified, the "innerWidth" will be defaulted based on the content type of the media resource to play.

      If both the "width" and "innerWidth" attributes are specified, the "width" attribute will be used.

      Returns:
        the new innerWidth value

    - #### setInnerWidth

          public final void setInnerWidth(int innerWidth)

      Sets
      width in pixels to reserve for the media player content. This will typically be set to the pixel width of the media resource to display.

      If no "innerWidth" is specified, the "innerWidth" will be defaulted based on the content type of the media resource to play.

      If both the "width" and "innerWidth" attributes are specified, the "width" attribute will be used.

      Parameters:
        `innerWidth` - the new innerWidth value

    - #### getInnerHeight

          public final int getInnerHeight()

      Gets
      height in pixels to reserve for the media player content. This will typically be set to the pixel height of the media resource to display.

      If no "innerHeight" is specified, the "innerHeight" will be defaulted based on the content type of the media resource to play.

      If both the "height" and "innerHeight" attributes are specified, the "height" attribute will be used.

      Returns:
        the new innerHeight value

    - #### setInnerHeight

          public final void setInnerHeight(int innerHeight)

      Sets
      height in pixels to reserve for the media player content. This will typically be set to the pixel height of the media resource to display.

      If no "innerHeight" is specified, the "innerHeight" will be defaulted based on the content type of the media resource to play.

      If both the "height" and "innerHeight" attributes are specified, the "height" attribute will be used.

      Parameters:
        `innerHeight` - the new innerHeight value

    - #### getSource

          public final String getSource()

      Gets the URI specifying the location of the media resource. If no contentType is specified, the contentType will be inferred from the extension of the source attribute.
      Returns:
        the new source value

    - #### setSource

          public final void setSource(String source)

      Sets the URI specifying the location of the media resource. If no contentType is specified, the contentType will be inferred from the extension of the source attribute.
      Parameters:
        `source` - the new source value

    - #### isAutostart

          public final boolean isAutostart()

      Gets a boolean value that controls whether the media resource loads and plays automatically without user initiation. When set to "true", the media resource will load and play as soon as possible.
      Returns:
        the new autostart value

    - #### setAutostart

          public final void setAutostart(boolean autostart)

      Sets a boolean value that controls whether the media resource loads and plays automatically without user initiation. When set to "true", the media resource will load and play as soon as possible.
      Parameters:
        `autostart` - the new autostart value

    - #### getPlayCount

          public final int getPlayCount()

      Gets the number of times the media resource will play. If set to "0", the resource will loop until the user stops the playing.
      Returns:
        the new playCount value

    - #### setPlayCount

          public final void setPlayCount(int playCount)

      Sets the number of times the media resource will play. If set to "0", the resource will loop until the user stops the playing.
      Parameters:
        `playCount` - the new playCount value

    - #### getContentType

          public final String getContentType()

      Gets the MIME type of the media content returned by the "source" URI. This attribute is used as a hint when determining which player to pick, how the controls of the player are to be configured, and the default size of the media player. If it isn't specified, an attempt will be made to derive this information from the extension of the source URI.
      Returns:
        the new contentType value

    - #### setContentType

          public final void setContentType(String contentType)

      Sets the MIME type of the media content returned by the "source" URI. This attribute is used as a hint when determining which player to pick, how the controls of the player are to be configured, and the default size of the media player. If it isn't specified, an attempt will be made to derive this information from the extension of the source URI.
      Parameters:
        `contentType` - the new contentType value

    - #### getStandbyText

          public final String getStandbyText()

      Gets Message to display in the media player while the media resource is loading.
      Returns:
        the new standbyText value

    - #### setStandbyText

          public final void setStandbyText(String standbyText)

      Sets Message to display in the media player while the media resource is loading.
      Parameters:
        `standbyText` - the new standbyText value

    - #### getPlayer

          public final String getPlayer()

      Gets
      which media player to use to play the media resource. If possible, the media control will accomodate this request. However, if the requested player is not available on the user agent, or does not support playing the media resource, an alternate player will be used instead. In all cases, the "link" player is used as a fallback if no other player is available, or the requested player fails for some reason.
      - `"none"`

        use a link in the user agent page to launch the playing of the media resource.

        This player setting uses the least amount of space on the page and uses the user agent's built in content type mapping to determine how to display the media resource.

      - `"quicktime"`

        use the Apple QuickTime player.

      - `"windows"`

        use the Windows Media Player.

      - `"real"`

        use the Real Player.

      Returns:
        the new player value

    - #### setPlayer

          public final void setPlayer(String player)

      Sets
      which media player to use to play the media resource. If possible, the media control will accomodate this request. However, if the requested player is not available on the user agent, or does not support playing the media resource, an alternate player will be used instead. In all cases, the "link" player is used as a fallback if no other player is available, or the requested player fails for some reason.
      - `"none"`

        use a link in the user agent page to launch the playing of the media resource.

        This player setting uses the least amount of space on the page and uses the user agent's built in content type mapping to determine how to display the media resource.

      - `"quicktime"`

        use the Apple QuickTime player.

      - `"windows"`

        use the Windows Media Player.

      - `"real"`

        use the Real Player.

      Parameters:
        `player` - the new player value

    - #### getControls

          public final String getControls()

      Gets
      the set of controls made available to the user for controlling the media playback. The actual set of controls displayed for the same value may differ between players. Likewise, the amount of space occupied by the controls will differ from media player to media player. This can cause problems if the size of the media control has been specified by the "width" and "height" attributes rather than "innerWidth" and "innerHeight".
      - `"none"`

        don't show any controls for the media player and don't allow control access through alternate means, such as context menus.

        This value is typically only used in kiosk-type applications where no user control over the playing of the media is allowed. It is typically used in conjunction with setting the "autostart" attribute to "true", and the "playCount" attribute to "0" to cause the media play immediately and then loop.

      - `"noneVisible"`

        don't show any controls for the media player but allow control access through alternate means, such as context menus.

        This value is typically only used in applications where user control over the playing of the media is allowed, but not encouraged. It is typically used in conjunction with setting the "autostart" attribute to "true", and the "playCount" attribute to "0" to cause the media to play immediately and then loop.

      - `"minimal"`

        show a minimal set of controls for playing media on the media player.

        This value gives users control over the most important media playing controls, while occupying the least amount of additional space on the user agent.

      - `"typical"`

        show the typical set of controls for playing media on the media player.

        This value, the default, gives users control over the most common media playing controls, without occupying an inordinate amount of extra space on the user agent.

      - `"all"`

        Show all available controls for playing media on the media player

        Using this setting can cause large amount of additional space to be required, depending on the media player used.

      The default of this attribute is `"typical"`.

      Returns:
        the new controls value

    - #### setControls

          public final void setControls(String controls)

      Sets
      the set of controls made available to the user for controlling the media playback. The actual set of controls displayed for the same value may differ between players. Likewise, the amount of space occupied by the controls will differ from media player to media player. This can cause problems if the size of the media control has been specified by the "width" and "height" attributes rather than "innerWidth" and "innerHeight".
      - `"none"`

        don't show any controls for the media player and don't allow control access through alternate means, such as context menus.

        This value is typically only used in kiosk-type applications where no user control over the playing of the media is allowed. It is typically used in conjunction with setting the "autostart" attribute to "true", and the "playCount" attribute to "0" to cause the media play immediately and then loop.

      - `"noneVisible"`

        don't show any controls for the media player but allow control access through alternate means, such as context menus.

        This value is typically only used in applications where user control over the playing of the media is allowed, but not encouraged. It is typically used in conjunction with setting the "autostart" attribute to "true", and the "playCount" attribute to "0" to cause the media to play immediately and then loop.

      - `"minimal"`

        show a minimal set of controls for playing media on the media player.

        This value gives users control over the most important media playing controls, while occupying the least amount of additional space on the user agent.

      - `"typical"`

        show the typical set of controls for playing media on the media player.

        This value, the default, gives users control over the most common media playing controls, without occupying an inordinate amount of extra space on the user agent.

      - `"all"`

        Show all available controls for playing media on the media player

        Using this setting can cause large amount of additional space to be required, depending on the media player used.

      The default of this attribute is `"typical"`.

      Parameters:
        `controls` - the new controls value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `UIXComponentBase`
      Returns:
        null
      See Also:
        `ClientBehaviorHolder.getDefaultEventName()`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `UIXComponentBase`
      Returns:
        Read-only map of the client behaviors for this component
      See Also:
        `ClientBehaviorHolder.getClientBehaviors()`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                               javax.faces.component.behavior.ClientBehavior behavior)

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `UIXComponentBase`
      Parameters:
        `eventName` - The event name
        `behavior` - The behavior to add
      See Also:
        `ClientBehaviorHolder.addClientBehavior(String, ClientBehavior)`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXObject`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXObject`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.